/*
  Тестирование производилось на Arduino IDE 1.6.11
  Дата тестирования 07.10.2016г.
*/ 

#include <SPI.h>                        // Подключаем библиотеку SPI
#include <nRF24L01.h>                   // Подключаем библиотеку nRF24L01 
#include <RF24.h>                       // Подключаем библиотеку RF24 
 
int data[1];                            // Создаём массив для приёма данных
RF24 radio(9,10);                       // Указываем номера выводов nRF24L01+ (CE, CSN)
int button = 7;                         // Создаем переменную button и указываем номер вывода
 
void setup(void){
  pinMode(button, INPUT);    // Устанавливаем вывод 7 на вход
  radio.begin();                        // Инициируем работу nRF24L01+
  radio.setChannel(100);                // Указываем канал передачи (от 0 до 126)
  radio.setDataRate (RF24_1MBPS);       // Указываем скорость передачи (250KBPS, 1MBPS, 2MBPS)
  radio.setPALevel(RF24_PA_HIGH);       // Указываем мощность передатчика (MIN=-18dBm, LOW=-12dBm, HIGH=-6dBm, MAX=0dBm)
  radio.openWritingPipe(0x0123456789LL);// Задаем идентификатором 0x0123456789LL для передачи данных данных 
 }
 

void loop(void)
{
  if (digitalRead(button) == HIGH){     // Считываем переменную "button", если HIGH идем дальше, если LOW зацикливаемся                     
  data[0] = 123;                        // Записываем значение 123 в массив data
  radio.write(data, 1);}                // Отправляем данные из массива data
}
